FROM denoland/deno:alpine-1.41.3 as build-stage

WORKDIR /app

COPY . /app/
RUN ./build.sh

FROM caddy:2.6.4-alpine as app

COPY --from=build-stage /app/_site /srv/miom.space/
COPY --from=build-stage /app/Caddyfile /etc/caddy/Caddyfile
